org.apache.cassandra.service

## Class RangeSliceResponseResolver

- java.lang.Object
- - org.apache.cassandra.service.RangeSliceResponseResolver

All Implemented Interfaces:
  IResponseResolver<RangeSliceReply,java.lang.Iterable<Row>>

    public class RangeSliceResponseResolver
    extends java.lang.Object
    implements IResponseResolver<RangeSliceReply,java.lang.Iterable<Row>>

Turns RangeSliceReply objects into row (string -> CF) maps, resolving to the most recent ColumnFamily and setting up read repairs as necessary.

### Field Summary

Fields
`java.util.List<AsyncOneResponse>` `repairResults`
`protected java.util.Queue<MessageIn<RangeSliceReply>>` `responses`

### Constructor Summary

Constructors
Constructor and Description
`RangeSliceResponseResolver(java.lang.String keyspaceName, long timestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<Row>` `getData()` returns the data response without comparing with any digests
`java.lang.Iterable<MessageIn<RangeSliceReply>>` `getMessages()`
`boolean` `isDataPresent()`
`void` `preprocess(MessageIn message)`
`java.lang.Iterable<Row>` `resolve()` This Method resolves the responses that are passed in .
`void` `setSources(java.util.List<java.net.InetAddress> endpoints)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### responses

    protected final java.util.Queue<MessageIn<RangeSliceReply>> responses

#### repairResults

    public final java.util.List<AsyncOneResponse> repairResults

### Constructor Detail

#### RangeSliceResponseResolver

    public RangeSliceResponseResolver(java.lang.String keyspaceName,
                                      long timestamp)

### Method Detail

#### setSources

    public void setSources(java.util.List<java.net.InetAddress> endpoints)

#### getData

    public java.util.List<Row> getData()

Description copied from interface: `IResponseResolver`
returns the data response without comparing with any digests

Specified by:
  `getData` in interface `IResponseResolver<RangeSliceReply,java.lang.Iterable<Row>>`

#### resolve

    public java.lang.Iterable<Row> resolve()

Description copied from interface: `IResponseResolver`
This Method resolves the responses that are passed in . for example : if its write response then all we get is true or false return values which implies if the writes were successful but for reads its more complicated you need to look at the responses and then based on differences schedule repairs . Hence you need to derive a response resolver based on your needs from this interface.

Specified by:
  `resolve` in interface `IResponseResolver<RangeSliceReply,java.lang.Iterable<Row>>`

#### preprocess

    public void preprocess(MessageIn message)

Specified by:
  `preprocess` in interface `IResponseResolver<RangeSliceReply,java.lang.Iterable<Row>>`

#### isDataPresent

    public boolean isDataPresent()

Specified by:
  `isDataPresent` in interface `IResponseResolver<RangeSliceReply,java.lang.Iterable<Row>>`

#### getMessages

    public java.lang.Iterable<MessageIn<RangeSliceReply>> getMessages()

Specified by:
  `getMessages` in interface `IResponseResolver<RangeSliceReply,java.lang.Iterable<Row>>`